commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject Re: [proxy] toward a v2.0 release
Date Thu, 27 Mar 2014 11:42:57 GMT
On 27 March 2014 04:29, Matt Benson <mbenson@apache.org> wrote:
> This is the notice that I intend to serve as release manager and begin
> cutting release candidates in the very near future after a very small
> amount of remaining cleanup. Those of you who wish to formulate and express
> opinions on the state of the codebase before the v2 API is set in stone
> should probably go ahead and begin doing so.

I took a quick look, and Eclipse complains that the interface
implementations are not flagged with @Override, even though the
compiler is set to 1.6.
Is that intentional? [Obviously does not affect the API]

Also, I spotted at least one instance of

@SuppressWarnings("unchecked")

with no explanation as to why it is safe to ignore the warning.

Since such warnings can indicate a generics issue which may be tricky
to fix later I think they need to be addressed before fixing the API.

My other main concern regarding API petrification is mutable public or
protected variables.
Not yet scanned to see if there are any of these.

> Matt

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message